package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻月周]
 */
@Component("ionicdemo_TSWeekCodeList")
public class TSWeekCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSWeek");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("2");
		item0.setId("2");
		item0.setText("星期一");
		item0.setLabel("星期一");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("2",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("3");
		item1.setId("3");
		item1.setText("星期二");
		item1.setLabel("星期二");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("3",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("4");
		item2.setId("4");
		item2.setText("星期三");
		item2.setLabel("星期三");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("4",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("5");
		item3.setId("5");
		item3.setText("星期四");
		item3.setLabel("星期四");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("5",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("6");
		item4.setId("6");
		item4.setText("星期五");
		item4.setLabel("星期五");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("6",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("7");
		item5.setId("7");
		item5.setText("星期六");
		item5.setLabel("星期六");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("7",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("1");
		item6.setId("1");
		item6.setText("星期日");
		item6.setLabel("星期日");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("1",item6);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}